|
Menu location |
---|
View → Standard views → FitAll |
Workbenches |
All |
Default shortcut |
None |
Introduced in version |
- |
See also |
Fit Selection |
Descriere
Efectuarea unui zoom/se micșorează până când toate obiectele vizibile sunt afișate în vizualizarea 3D.
The Std ViewFitAll command zooms and pans the camera so that all visible objects fit inside the active 3D view.
Utilizare
Click pe sau alegeți View → Standard views →
Fit all din meniul de sus/top.
Comanda este de asemenea disponibilă în vizualizarea 3D (și nu are nimic pre-selectat).
- There are several ways to invoke the command:
- Press the
Fit all button.
- Select the View → Standard views →
Fit all option from the menu.
- Select the
Fit all option from the 3D view context menu.
- Select the
Fit all option from the Mini-cube menu of the Navigation Cube.
- Use the keyboard shortcut: V then F.
- Press the
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
Use the fitAll
method of the View object to zoom to fit all.
import FreeCADGui
view = FreeCADGui.ActiveDocument.ActiveView
view.fitAll()
For the active view the SendMsgToActiveView
method of the FreeCADGui object can also be used.
import FreeCADGui
FreeCADGui.SendMsgToActiveView("ViewFit")
Această pagină este preluată de la https://wiki.freecad.org/Std_ViewFitAll